Register
POST
/auth/v1/registerRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.RegisterRequest",
"$ref-value": {
"type": "object",
"properties": {
"email": {
"type": "string",
"title": "email"
},
"password": {
"type": "string",
"title": "password"
},
"country_code": {
"type": "string",
"title": "country_code"
},
"subscribe_to_blog": {
"type": "boolean",
"title": "subscribe_to_blog"
}
},
"title": "RegisterRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.RegisterResponse",
"$ref-value": {
"type": "object",
"properties": {
"message": {
"type": "string",
"title": "message"
},
"user_id": {
"type": "string",
"title": "user_id"
},
"email_verification_sent": {
"type": "boolean",
"title": "email_verification_sent"
},
"verification_id": {
"type": "string",
"title": "verification_id"
}
},
"title": "RegisterResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/register" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.RegisterResponse",
"$ref-value": {
"type": "object",
"properties": {
"message": {
"type": "string",
"title": "message"
},
"user_id": {
"type": "string",
"title": "user_id"
},
"email_verification_sent": {
"type": "boolean",
"title": "email_verification_sent"
},
"verification_id": {
"type": "string",
"title": "verification_id"
}
},
"title": "RegisterResponse",
"additionalProperties": false
}
}